/*
 * Os_Cfg.h
 *
 *  Created on: 08-Feb-2022
 *      Author: theki
 */

#ifndef INCLUDE_OS_CFG_H_
#define INCLUDE_OS_CFG_H_

/****************************** Includes ******************************/
#include "FreeRTOS.h"
#include "os_task.h"
#include "os_timer.h"
#include "os_event_groups.h"
#include "os_portmacro.h"
#include "os_projdefs.h"
#include "os_mpu_wrappers.h"
#include "HL_gio.h"             /*GIO*/

/****************************** MACROS ******************************/
#define mainDONT_BLOCK                  ( 0 )
#define mainTIMER_10ms1_PERIOD          pdMS_TO_TICKS( 10 )

/*For Delay purpose*/
#define xDelayms(x)                     pdMS_TO_TICKS(x)

#define TASK1_20MS1_BIT                (1UL<<0UL)
#define TASK1_50MS1_BIT                (1UL<<1UL)
#define TASK1_100MS1_BIT               (1UL<<2UL)

/****************************** Enums & Structures ******************************/

/****************************** Extern Global Variables ******************************/

/****************************** Global Variables ******************************/
EventGroupHandle_t xEventGroup;
extern uint32_t TimerTicks;

/****************************** Global Functions ******************************/
void vTaskInit(void);
void vTimerInit(void);

void vEv_20ms1_Task(void *pvParameters);
void vEv_50ms1_Task(void *pvParameters);
void vEv_100ms1_Task(void *pvParameters);

void prvTimerAl_OsTask_10ms_BSW_AlarmCallback( TimerHandle_t xExpiredTimer );

#endif /* INCLUDE_OS_CFG_H_ */
